# Transactions Connect API The Transactions Connect API allows sellers to view and accept shipping requests, which initiates the shipping transaction. You can then track the transaction status until the buyer receives the item. Version: 0.0.1 ## Servers Production ``` https://connect.wallapop.com ``` ## Security ### oAuthWithPKCE The Transactions Connect API uses OAuth 2.0 Authorization Code flow with a Proof Key for Code Exchange. Type: oauth2 ## Download OpenAPI description [Transactions Connect API](https://developers.wallapop.com/_bundle/apis/delivery.yaml) ## Transactions A shipping transaction is initiated when a seller accepts a shipping request. ### Retrieve pending shipping requests - [GET /transactions/requests/pending](https://developers.wallapop.com/apis/delivery/transactions/sellerpendingrequests.md): Returns a list of pending shipping requests awaiting the seller's acceptance. When a buyer purchases an item, a pending shipping request is generated. A request remains pending until the seller accepts it. ### Retrieve a shipping request - [GET /transactions/requests/{requestId}](https://developers.wallapop.com/apis/delivery/transactions/sellerrequest.md): Obtain the details of a specific shipping request by providing its ID. ### Accept a shipping request with home pickup - [POST /transactions/requests/{requestId}/accept/home-pickup](https://developers.wallapop.com/apis/delivery/transactions/accepthomepickup.md): Accept a shipping request with home pickup, where the carrier collects the package directly from the seller's shipping address. The client app must generate and pass a transaction_id. ### Accept a shipping request with post office drop off - [POST /transactions/requests/{requestId}/accept/post-office](https://developers.wallapop.com/apis/delivery/transactions/paths/~1transactions~1requests~1%7Brequestid%7D~1accept~1post-office/post.md): Accept a shipping request for post office drop-off, where the seller delivers the package to a designated post office. The client app must generate and pass a transaction_id. ### Retrieve pending shipping transactions - [GET /transactions/pending](https://developers.wallapop.com/apis/delivery/transactions/sellerpendingtransactions.md): Returns a list of pending shipping transactions. A shipping transaction is created when the seller accepts the corresponding shipping request. A pending transaction is one that has not been accepted, failed, rejected, cancelled, or requires payment. ### Retrieve a shipping transaction - [GET /transactions/{transactionId}](https://developers.wallapop.com/apis/delivery/transactions/sellertransaction.md): Obtain the details of a specific shipping transaction by providing its ID. ### Register a delivery for a transaction - [POST /transactions/{transactionId}/delivery/register](https://developers.wallapop.com/apis/delivery/transactions/registerdelivery.md): Registers a delivery for a transaction with transaction_id. Seller needs to register the delivery when the package is registered into their carrier of choice. ## Disputes ### Retrieve dispute details - [GET /disputes/{disputeId}](https://developers.wallapop.com/apis/delivery/disputes/finddispute.md): Obtain the details of a specific dispute by providing its ID. ## Delivery ### Update a tracking status for a delivery. - [PATCH /deliveries/{deliveryId}/status](https://developers.wallapop.com/apis/delivery/delivery/updatedeliverystatus.md): Perform an update to a delivery's tracking status.